Update timeslot sponsors
2 min
Assign speakers to timeslot
Assign existing speakers in your event to any existing content-type timeslot
PUT
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors/{sessionSponsorID}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
- {sessionSponsorID}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request PUT 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors/{sessionSponsorID}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
"session_sponsor": {
"sponsor_id": {{sponsor_id}},
"timeslot_id": {{timeslot_id}},
"label": "{{label_name}}"
}
}'
'200
[
{
"data": {
"id": "15407",
"type": "session-sponsor",
"attributes": {
"label": "Sponsor",
"position": 1
},
"relationships": {
"sponsor": {
"data": {
"id": "235711",
"type": "sponsor"
}
},
"timeslot": {
"data": {
"id": "729268",
"type": "timeslot"
}
}
}
},
"included": [
{
"id": "729268",
"type": "timeslot",
"attributes": {
"external-id": "8",
"title": "Test Session",
"reservable": false,
"duration": 750,
"location": null,
"content": {
"blocks": [
{
"key": "91q3d",
"text": "",
"type": "unstyled",
"depth": 0,
"inlineStyleRanges": [],
"entityRanges": [],
"data": {}
}
],
"entityMap": {}
},
"subtitle": null,
"highlight-position": null,
"stream-link": null,
"uses-rsvp": true,
"uses-attendee-list": true,
"uses-ticket-qr-code": null,
"uses-rsvp-cancellation": true,
"uses-ratings": false,
"attendance-registration-open": true,
"attendance-cap": null,
"attendance-registrations-count": 1,
"organizer-reserved-attendance-slots": 0,
"color": null,
"show-sponsor-logo-in-schedule": null,
"rateable-by": "bookmarked_attendees_only",
"session-sponsors-section-title": "Sponsored by",
"child-sessions-section-title": null,
"start-time": "2030-04-30T18:00:00.000Z",
"end-time": "2030-05-01T06:30:00.000Z",
"parent-timeslot-id": null,
"sponsor-id": null,
"main-sponsor": null,
"tag-order": []
},
"relationships": {
"tags": {
"data": []
},
"locations": {
"data": []
},
"speaker-assignments": {
"data": []
},
"tabs": {
"data": []
},
"attendee-groups": {
"data": []
},
"custom-fields": {
"data": []
},
"event": {
"data": {
"id": "9144",
"type": "event"
}
},
"track": {
"data": {
"id": "32285",
"type": "track"
}
}
}
},
{
"id": "235711",
"type": "sponsor",
"attributes": {
"id": 235711,
"external-id": null,
"name": "Brella",
"order": null,
"logo-url": "",
"cover-image-url": null,
"website": null,
"twitter": null,
"linkedin": null,
"facebook": null,
"instagram": null,
"subtitle": null,
"industry": null,
"position": 406,
"content": null,
"uses-chat": null,
"app-sponsor": false,
"app-sponsor-image-url": null,
"app-sponsor-label": null,
"cta-text": "Visit booth",
"uses-analytics": null,
"lead-scanning-enabled": true,
"has-automatic-representatives-linking": true,
"location-country": null,
"location-state": null,
"created-at": "2025-09-11T06:35:01.148Z",
"updated-at": "2025-09-11T06:35:01.148Z",
"representatives-linking-method": "partial_company_name_match",
"company-domains": [],
"chat-channel-id": null
},
"relationships": {
"category": {
"data": {
"id": "22267",
"type": "sponsor-category"
}
},
"attendees": {
"data": []
},
"deck-media": {
"data": []
},
"attachments": {
"data": []
},
"tabs": {
"data": []
},
"selected-interests": {
"data": []
},
"products": {
"data": []
},
"custom-fields": {
"data": []
}
}
}
]
}
]REQUEST BODY
{
"session_sponsor": {
"sponsor_id": {{sponsor_id}},
"timeslot_id": {{timeslot_id}},
"label": "{{label_name}}"
}
}
Required attributes:
- sponsor_id Number / the unique identifier generated by Brella for the speaker (can be retrieved via the speaker endpoints)
- timeslot_id Number / the unique identifier generated by Brella for the timeslot (can be retrieved via the timeslot endpoints)
- label String / see notes for supported values
Notes:
01: Both the sponsor and timeslot need to exist in the event. This endpoint can't create these entities for you.
02: The label attribute can be passed with any strings and will be displayed under the Schedule -> Sponsors -> Sponsors.